<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css" href="page.css">
    <script src="https://d3js.org/d3.v4.min.js"></script>
    <style>
        .dot {
            stroke: #000;
        }

        div.tooltip {   
            position: absolute;
            width: 40;
            text-align: center;             
            padding: 5px;              
            font: 12px sans-serif;        
            background: lightsteelblue;   
            border: 0px;      
            border-radius: 8px;           
            pointer-events: none;         
        }
    </style>
    <title>Débat concernant la génération artistique par l'IA</title>
</head>
<body>
    <header>
        <h1>Procès de l'art créé par l'IA</h1>
      </header>
    <script>
    var margin = {top: 50, right: 30, bottom: 30, left: 60},
        width = 960 - margin.left - margin.right,
        height = 500 - margin.top - margin.bottom;

    var x = d3.scaleLinear().range([0, width]);
    var y = d3.scaleLinear().range([height, 0]);

    var xAxis = d3.axisBottom(x);
    var yAxis = d3.axisLeft(y);

    var tooltip = d3.select("body").append("div")
        .attr("class", "tooltip")
        .style("opacity", 0);

    var svg = d3.select("body").append("svg")
        .attr("width", width + margin.left + margin.right)
        .attr("height", height + margin.top + margin.bottom)
        .append("g")
        .attr("transform", "translate(" + margin.left + "," + margin.top + ")");

    d3.json("data.json", function(error, data) {
        if (error) throw error;

        x.domain(d3.extent(data, function(d) { return d.existence; })).nice();
        y.domain(d3.extent(data, function(d) { return d.intention; })).nice();
        
        svg.append("g")
            .attr("transform", "translate(0," + height / 2 + ")")
            .call(xAxis)
            .append("text")
            .attr("x", width)
            .attr("y", -10)
            .attr("fill", "#000")
            .attr("text-anchor", "end")
            .attr("font-size", "16px")
            .text("Existence");

        svg.append("g")
            .attr("transform", "translate(" + width / 2 + ",0)")
            .call(yAxis)
            .append("text")
            .attr("transform", "rotate(-90)")
            .attr("y", 15)
            .attr("dy", ".71em")
            .attr("fill", "#000")
            .attr("text-anchor", "end")
            .attr("font-size", "16px")
            .text("Intention");

        svg.append("text")
            .attr("x", width / 2)
            .attr("y", 0)
            .attr("text-anchor", "middle")
            .style("font-size", "24px")
            .style("text-decoration", "underline")
            .text("L'intentionnalité de l'art créé par l'IA selon des grands penseur·e·s");

        svg.selectAll(".dot")
            .data(data)
            .enter().append("circle")
            .attr("class", "dot")
            .attr("r", 5.5)
            .attr("cx", function(d) { return x(d.existence); })
            .attr("cy", function(d) { return y(d.intention); })
            .style("fill", function(d) { return d.gender == "M" ? "purple" : "orange"; })
            .on("mouseover", function(d) {
                tooltip.transition()
                    .duration(200)
                    .style("opacity", .9);
                tooltip.html("<b>" +d.name + "</b><br/>(" + d.naissance + " - " + d.deces + ")<br/>" + d.viewpoint)
                    .style("left", (event.pageX) + "px")
                    .style("top", (event.pageY - 28) + "px");
            })
            .on("mouseout", function(d) {
                tooltip.transition()
                    .duration(500)
                    .style("opacity", 0);
            });
        
            svg.selectAll(".text")
                .data(data)
                .enter()
                .append("text")
                .attr("class","label")
                .attr("x", function(d) { return xScale(d.existence) + 10; }) // décaler de 10 vers la droite
                .attr("y", function(d) { return yScale(d.intentionality) - 10; }) // décaler de 10 vers le haut
                .style("fill", function(d) { return d.gender === "Male" ? "purple" : "orange"; }) 
                .text(function(d) { return d.name; });
    });
    </script>



<script src="https://d3js.org/d3.v7.js"></script>
</head>
<body>
<main>
<div id="dialogue">
    <p>Juge (Leonard de Vinci) : Que les débats commencent. Nous sommes ici pour décider si cette entité, une intelligence artificielle, est capable de créer de véritables œuvres d'art.</p>
    
    <p>Procureur (Marianne von Hirtum) : Nous insistons sur le fait que l'art nécessite une expérience et une intention humaines. Comment cette machine peut-elle prétendre à une telle distinction sans avoir vécu ni ressenti?</p>
    
    <p>Avocat de la Défense (Blaise Pascal) : La question n'est pas de savoir si elle ressent, mais si elle peut provoquer des sentiments chez ceux qui perçoivent son art.</p>
    
    <p>Procureur (Reine Victoria) : C'est une question de principes ! L'art est une expression de l'âme humaine. Même si une machine peut imiter l'art, elle ne peut pas le créer.</p>
    
    <p>Avocat de la Défense (Ada Lovelace) : Pardonnez-moi, Votre Majesté, mais la musique d'une boîte à musique, n'est-elle pas de l'art ? Pourtant, elle est créée par une machine.</p>
    
    <p>Procureur (Teilhard de Chardin) : Mais la boîte à musique a été conçue par un être humain, avec une intention !</p>
    
    <p>Avocat de la Défense (Karl Marx) : Et cette intelligence artificielle n'a-t-elle pas été conçue par un être humain? L'intention, dans ce cas, n'est-elle pas celle de son créateur?</p>
    
    <p>Procureur (Pablo Picasso) : L'art est une explosion de l'âme humaine, quelque chose qu'une machine ne pourra jamais comprendre ou recréer.</p>
    
    <p>Avocat de la Défense (Marcel Duchamp) : L'art peut être créé par n'importe qui ou n'importe quoi. Pourquoi pas cette intelligence artificielle? Ne jugeons pas l'artiste, mais l'art.</p>
    
    <p>Juge (Leonard de Vinci) : Le débat a été passionnant et instructif. Je propose que nous ne tranchions pas cette question ici, car l'art lui-même est une question d'interprétation. Nous ne pouvons pas décider si l'art créé par une intelligence artificielle est de l'art véritable. C'est aux spectateurs de décider, à chaque individu qui ressent quelque chose en contemplant une œuvre. L'art appartient à l'humanité, qu'il soit créé par un être humain, une machine ou la nature elle-même.</p>
</div>
</main>
<footer>
    <div id="contact-us">
      
      <p>Contactez-nous : <a href="mailto:causeries.pop+web@gmail.com" style="color: rgb(205,143,78);">causeries.pop@gmail.com</a></p>
    </div>
    <div id="social-links">
      <a href="https://gitlab.com/cafes.populaires.fr/chrono.causeries.org"><img src="img/icons8-git-48.png" alt="Git Repository" style="width: 25px;"></a>
      <a href="https://twitter.com/CauseriesP"><img src="img/icons8-twitter-100.png" alt="Twitter" style="width: 25px;"></a>
      <a href="https://www.tiktok.com/@cafes_pop"><img src="img/icons8-tiktok-50.png" alt="TikTok" style="width: 25px;"></a>
      <a href="https://chat.openai.com/share/ee0a4781-2d26-43e9-a59e-6985c8505298"><img width="24" height="24" src="https://img.icons8.com/material-outlined/24/chatgpt.png" alt="chatgpt"/></a>
       <a href="https://chat.openai.com/share/ee0a4781-2d26-43e9-a59e-6985c8505298"> <-- Réalisé avec ChatGPT</a>
    </div>
    <br>Icons by <a target="_blank" href="https://icons8.com" id="Icons8">Icons8</a>
  </footer>
<!-- Matomo -->
<script>
    var _paq = window._paq = window._paq || [];
    /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
    _paq.push(["setCookieDomain", "*.causeries.cafes-populaires.fr"]);
    _paq.push(["setDomains", ["*.causeries.cafes-populaires.fr"]]);
    _paq.push(['trackPageView']);
    _paq.push(['enableLinkTracking']);
    (function() {
      var u="https://stats.incluzor.fr/";
      _paq.push(['setTrackerUrl', u+'matomo.php']);
      _paq.push(['setSiteId', '9']);
      var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
      g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
    })();
  </script>
  <noscript><p><img src="https://stats.incluzor.fr/matomo.php?idsite=9&amp;rec=1" style="border:0;" alt="" /></p></noscript>
  <!-- End Matomo Code -->

</body>
</html>
